apiVersion: autoscaling.k8s.io/v1
kind: VerticalPodAutoscaler
metadata:
  name: kafka-controller-vpa
  namespace: freeleaps-data-platform
spec:
  resourcePolicy:
    containerPolicies:
    - containerName: '*'
      controlledResources:
      - cpu
      - memory
      maxAllowed:
        cpu: 1000m
        memory: 2048Mi
      minAllowed:
        cpu: 200m
        memory: 512Mi
  targetRef:
    apiVersion: apps/v1
    kind: StatefulSet
    name: kafka-controller
  updatePolicy:
    updateMode: "Auto"